; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	BEEP_OFF
	LDS temp,(adr_TASTE)
	cpi temp,128
	breq MENUE_PLUS
	cpi temp,64
	breq MENUE_CLEAR
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste-MENUE gedrckt															
MENUE_PLUS:
	rcall LED_CLEAR
	rcall BEEP_KURZ
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste-CLEAR gedrckt															
MENUE_CLEAR:
	STS(adr_P_MAX),NULL
	ldi temp,(ASCII_MINUS)
	STS(adr_DIGIT2),temp
	STS(adr_DIGIT1),temp
	STS(adr_DIGIT0),temp
	rcall BEEP
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_RUN:
	ldi ZL,LOW (MENUE_SPRUNGMARKE)	; Z initialisieren	
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	add ZL,temp 
	adc ZH,NULL
	ijmp			; SPRUNG nach Z		
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	rjmp MENUE_P
	rjmp MENUE_P_MAX
	rjmp MENUE_VOLT
	rjmp MENUE_U
	rjmp MENUE_ADC_U
	rjmp MENUE_AMPERE
	rjmp MENUE_i
	rjmp MENUE_ADC_i
	rjmp MENUE_BAUSTELLE
	STS(adr_MENUE),NULL	; berlauf
	rjmp MENUE_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_TASTE:
	LDS temp1,(adr_TASTE)
	rcall ZAHL_TEMP1
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_BAUSTELLE:
	ldi temp,(0b01001001)
	STS(adr_DIGIT2),temp
	STS(adr_DIGIT1),temp
	STS(adr_DIGIT0),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Leistung momentan																
MENUE_P:
	LDS temp1,(adr_P)
	rcall ZAHL_TEMP1
	; Nullstellenunterdrckung
	cpi temp3,(ASCII_0)
	brne MENUE_P_RUN
	clr temp3
	; Nullstellenunterdrckung
	cpi temp2,(ASCII_0)
	brne MENUE_P_RUN
	clr temp2
	; Nullstellenunterdrckung
	cpi temp1,(ASCII_0)
	brne MENUE_P_RUN
	ldi temp1,(ASCII_0_)
;-------------------------------------------------------------------------------
MENUE_P_RUN:
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Leistung PEAK																	
MENUE_P_MAX:
	LDS temp1,(adr_P_MAX)
	rcall ZAHL_TEMP1
	; Nullstellenunterdrckung
	cpi temp3,(ASCII_0)
	brne MENUE_P_MAX_RUN
	clr temp3
	; Nullstellenunterdrckung
	cpi temp2,(ASCII_0)
	brne MENUE_P_MAX_RUN
	clr temp2
	; Nullstellenunterdrckung
	cpi temp1,(ASCII_0)
	brne MENUE_P_MAX_RUN
	ldi temp1,(ASCII_0_)
;-------------------------------------------------------------------------------
MENUE_P_MAX_RUN:
	ori temp3,(ASCII_PUNKT)
	ori temp2,(ASCII_PUNKT)
	ori temp1,(ASCII_PUNKT)

	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_VOLT:
	ldi temp3,(ASCII_V)
	clr temp2
	clr temp1
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; U 																			
MENUE_U:
	LDS temp1,(adr_U)
	rcall ZAHL_TEMP1

	; Nullstellenunterdrckung
	cpi temp3,(ASCII_0)
	brne MENUE_U_RUN
	clr temp3
;-------------------------------------------------------------------------------
MENUE_U_RUN:
	STS(adr_DIGIT2),temp3
	ori temp2,(ASCII_PUNKT)	; Punkt	
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ADC0 (U)																		
MENUE_ADC_U:
	LDS temp1,(adr_ADC_U_L)
	LDS temp2,(adr_ADC_U_H)
	rcall ZAHL_TEMP1_2
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_AMPERE:
	ldi temp3,(ASCII_A)
	clr temp2
	clr temp1
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_i:
	LDS temp1,(adr_i)
	rcall ZAHL_TEMP1
	; Nullstellenunterdrckung
	cpi temp3,(ASCII_0)
	brne MENUE_i_RUN
	clr temp3
;-------------------------------------------------------------------------------
MENUE_i_RUN:
	STS(adr_DIGIT2),temp3
	ori temp2,(ASCII_PUNKT)	; Punkt	
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ADC1 (i)																		
MENUE_ADC_i:
	LDS temp1,(adr_ADC_i_L)
	LDS temp2,(adr_ADC_i_H)
	rcall ZAHL_TEMP1_2
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
